#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48ebb99d, "hid_is_usb" },
	{ 0xead7eb0a, "hid_unregister_driver" },
	{ 0x4c2d60d9, "hid_hw_start" },
	{ 0xd88cc1af, "hid_validate_values" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xc1d8e052, "__hid_register_driver" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4f32580, "led_classdev_unregister" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0x1fce46a3, "hid_hw_stop" },
	{ 0x92997ed8, "_printk" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x74f024c7, "_dev_info" },
	{ 0x3a218027, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0xdc1b7bc8, "hid_hw_request" },
	{ 0x7d2572ed, "led_classdev_register_ext" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0xdcb764ad, "memset" },
	{ 0x1d770b63, "_dev_warn" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xa259056d, "input_event" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x6ce78c1f, "input_ff_create_memless" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf53c20dd, "hid_hw_raw_request" },
	{ 0x7893a3d7, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83c8a62f, "param_ops_int" },
	{ 0x20608170, "hid_open_report" },
	{ 0x9514151a, "_mcount" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf4ee619b, "kmalloc_caches" },
	{ 0xb6c0402e, "device_remove_file" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "usbhid,ff-memless");

MODULE_ALIAS("hid:b0003g*v0000046Dp0000C50C");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C101");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C704");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C30A");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C512");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C215");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C216");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C294");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C20A");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C211");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C219");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C24F");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C283");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C286");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C295");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000CA03");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000CA04");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C299");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C29A");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C29B");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C298");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C29C");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C20E");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C293");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C218");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C287");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C626");
MODULE_ALIAS("hid:b0003g*v0000046Dp0000C623");

MODULE_INFO(srcversion, "AD908AF064A7CF85177D0A7");

MODULE_INFO(suserelease, "SLE15-SP6");
