#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88c3ddf, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xcd4c9c3c, "devm_kmalloc" },
	{ 0x25156d64, "mt76x0_set_sar_specs" },
	{ 0x38432130, "firmware_request_nowarn" },
	{ 0x92a1619a, "mt76x02_set_ethtool_fwver" },
	{ 0x1565b33, "mt76x02_set_key" },
	{ 0x392be456, "mt76_release_buffered_frames" },
	{ 0x360083e1, "request_firmware" },
	{ 0x8517fef5, "usb_register_driver" },
	{ 0x61cb3406, "mt76_get_txpower" },
	{ 0x61a8d1a8, "mt76_wake_tx_queue" },
	{ 0xe0ad3b5a, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x79814645, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xabdeb79b, "mt76x02_sta_ps" },
	{ 0x11a03cda, "mt76u_resume_rx" },
	{ 0xfb79d120, "mt76x02_sta_rate_tbl_update" },
	{ 0x83dcb2f7, "__dynamic_dev_dbg" },
	{ 0x916cf9a5, "mt76_alloc_device" },
	{ 0x2d31ec17, "usb_put_dev" },
	{ 0x138ecdb1, "usb_reset_device" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x198af516, "mt76x02_update_channel" },
	{ 0xc7cb266a, "usb_get_dev" },
	{ 0x74f024c7, "_dev_info" },
	{ 0x3b84cb65, "mt76x02_configure_filter" },
	{ 0x157e4292, "mt76_free_device" },
	{ 0x75dca469, "mt76x0_chip_onoff" },
	{ 0xca6f252a, "mt76x02_queue_rx_skb" },
	{ 0x8f8514f2, "mt76u_queues_deinit" },
	{ 0xdf20b6a1, "ieee80211_queue_delayed_work" },
	{ 0xcb0d921a, "mt76x0_config" },
	{ 0x38751cec, "mt76x0_register_device" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0xc499f21f, "mt76x02u_mcu_fw_reset" },
	{ 0x69e63013, "mt76x0_phy_calibrate" },
	{ 0x226180e9, "mt76_set_tim" },
	{ 0xfeb80e8, "mt76x02_sw_scan_complete" },
	{ 0xcf7ba3e4, "mt76x02_tx" },
	{ 0xc21f6dbb, "mt76x02_sta_remove" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x9deb7b12, "usb_deregister" },
	{ 0x9b751a5c, "mt76x02_tx_status_data" },
	{ 0xf2573630, "mt76x02_sta_add" },
	{ 0x50699cf2, "mt76x0_mac_stop" },
	{ 0xbcccbff8, "mt76x02u_mcu_fw_send_data" },
	{ 0xa265601a, "mt76u_init" },
	{ 0x9f5f6144, "mt76_get_survey" },
	{ 0x1d770b63, "_dev_warn" },
	{ 0x2c410feb, "ieee80211_emulate_add_chanctx" },
	{ 0xbfc1347d, "mt76x02u_init_mcu" },
	{ 0xea51351f, "mt76x02u_tx_prepare_skb" },
	{ 0x7ba00842, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x643a3fc6, "mt76x02_set_rts_threshold" },
	{ 0x85f571cd, "mt76_sta_state" },
	{ 0x797b80aa, "mt76x0_init_hardware" },
	{ 0xb8a9adcf, "mt76x02u_mac_start" },
	{ 0xa4aeb2b9, "mt76x02_bss_info_changed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x7565de86, "mt76u_alloc_queues" },
	{ 0x299411b7, "mt76u_stop_tx" },
	{ 0x1c1abda8, "mt76x02u_init_beacon_config" },
	{ 0xae4c6dfa, "ieee80211_unregister_hw" },
	{ 0x5bbc2cd3, "mt76u_vendor_request" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x41caecb3, "mt76x02_add_interface" },
	{ 0xf1059479, "____mt76_poll_msec" },
	{ 0x62aaf3b6, "mt76x02u_exit_beacon_config" },
	{ 0x7a90db00, "mt76u_stop_rx" },
	{ 0xf301ea72, "mt76x02_ampdu_action" },
	{ 0x8a518d5d, "mt76x02_conf_tx" },
	{ 0xd847080d, "mt76_sw_scan" },
	{ 0x95aa0288, "mt76_sta_pre_rcu_remove" },
	{ 0xc939371c, "__mt76_poll" },
	{ 0x73d3574b, "ieee80211_emulate_remove_chanctx" },
	{ 0x9514151a, "_mcount" },
	{ 0x2eb9a9d1, "mt76x02_remove_interface" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-usb,mt76x0-common,mt76x02-lib,mt76,usbcore,mac80211,mt76-usb");

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "DB44CF6196FF3D2E8EFE6ED");

MODULE_INFO(suserelease, "SLE15-SP6");
