#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(bt_accept_dequeue, 0x933f3b85, "");
SYMBOL_CRC(bt_accept_enqueue, 0x30552977, "");
SYMBOL_CRC(bt_accept_unlink, 0x820880a8, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x98b76898, "");
SYMBOL_CRC(bt_procfs_init, 0xda069ab4, "");
SYMBOL_CRC(bt_sock_alloc, 0xcb3ca12d, "");
SYMBOL_CRC(bt_sock_ioctl, 0xbdfd286e, "");
SYMBOL_CRC(bt_sock_link, 0x52d861f3, "");
SYMBOL_CRC(bt_sock_linked, 0x95aeda0e, "");
SYMBOL_CRC(bt_sock_poll, 0x0d551430, "");
SYMBOL_CRC(bt_sock_reclassify_lock, 0x46f470b5, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x09b0455c, "");
SYMBOL_CRC(bt_sock_register, 0x7cc6168a, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x2bc35c96, "");
SYMBOL_CRC(bt_sock_unlink, 0x371c5b0f, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_wait_ready, 0x30a0f302, "");
SYMBOL_CRC(bt_sock_wait_state, 0x9fbc6ed3, "");
SYMBOL_CRC(bt_debugfs, 0x9620f0a8, "_gpl");
SYMBOL_CRC(__hci_cmd_send, 0x87cb94f1, "");
SYMBOL_CRC(hci_alloc_dev_priv, 0x1c9cb14d, "");
SYMBOL_CRC(hci_free_dev, 0xf3a96833, "");
SYMBOL_CRC(hci_recv_diag, 0xa5218d72, "");
SYMBOL_CRC(hci_recv_frame, 0x5639f0b5, "");
SYMBOL_CRC(hci_register_cb, 0x7d66d866, "");
SYMBOL_CRC(hci_register_dev, 0xde75c436, "");
SYMBOL_CRC(hci_release_dev, 0xc9107ae6, "");
SYMBOL_CRC(hci_reset_dev, 0xb2bf83c2, "");
SYMBOL_CRC(hci_resume_dev, 0x27c80b96, "");
SYMBOL_CRC(hci_set_fw_info, 0xf4a4e3f2, "");
SYMBOL_CRC(hci_set_hw_info, 0x3ae60597, "");
SYMBOL_CRC(hci_suspend_dev, 0xb76e71ca, "");
SYMBOL_CRC(hci_unregister_cb, 0xe5862df2, "");
SYMBOL_CRC(hci_unregister_dev, 0xd5bad832, "");
SYMBOL_CRC(hci_conn_check_secure, 0xf6506dad, "");
SYMBOL_CRC(hci_conn_security, 0x08c73cf1, "");
SYMBOL_CRC(hci_conn_switch_role, 0x8648e6e5, "");
SYMBOL_CRC(hci_get_route, 0x75ae5618, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x5434b523, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x49aa909b, "");
SYMBOL_CRC(l2cap_chan_close, 0x463e459d, "");
SYMBOL_CRC(l2cap_conn_get, 0x60cda9e2, "");
SYMBOL_CRC(l2cap_conn_put, 0x93cc3a68, "");
SYMBOL_CRC(l2cap_register_user, 0x766154fc, "");
SYMBOL_CRC(l2cap_unregister_user, 0x9ba758f2, "");
SYMBOL_CRC(l2cap_add_psm, 0x7eeb5919, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x4ed128e8, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x9acf9e7f, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xb41643c0, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x13a4bad3, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x3ac35493, "_gpl");
SYMBOL_CRC(l2cap_chan_send, 0x45d1ec8f, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x4eb7c6cd, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x6fcf4ee7, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(__hci_cmd_sync, 0x0d7411c1, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xa9f20a0d, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0xbb2bbb9c, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x4a8a2475, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x95cca039, "");
SYMBOL_CRC(hci_cmd_sync, 0xd7814844, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0x3089c487, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xcaebb149, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xa38c3cfa, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x37641da8, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xf107a511, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x341449e3, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xf8166052, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0x6763093f, "");
SYMBOL_CRC(hci_cmd_sync_status, 0x3aadb440, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x3a399d20, "");
SYMBOL_CRC(hci_devcd_abort, 0xadf21359, "");
SYMBOL_CRC(hci_devcd_append, 0xfa94f56c, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xed060f21, "");
SYMBOL_CRC(hci_devcd_complete, 0x160c147c, "");
SYMBOL_CRC(hci_devcd_init, 0x1a8b6392, "");
SYMBOL_CRC(hci_devcd_register, 0x1335c6a4, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xd38d8115, "skb_free_datagram" },
	{ 0x83d90920, "sock_queue_rcv_skb_reason" },
	{ 0x62b9e301, "ida_alloc_range" },
	{ 0x51509938, "try_module_get" },
	{ 0x43c028fc, "sock_i_uid" },
	{ 0x946a23b5, "default_amr" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x44f5daac, "ida_destroy" },
	{ 0x1ef92d10, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcd4c9c3c, "devm_kmalloc" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x7bc23e17, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xf1d4184b, "dev_set_name" },
	{ 0xd7c8d2e4, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf390197c, "skb_dequeue" },
	{ 0xe6da1d1, "__init_swait_queue_head" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0x6157a9f0, "_raw_write_lock_bh" },
	{ 0xf43617b5, "led_trigger_register_simple" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x4ccfcd69, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xeb580c9d, "add_wait_queue_exclusive" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0xe7ff2f14, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x1b717272, "seq_lseek" },
	{ 0x2836613a, "add_wait_queue" },
	{ 0x46226c2e, "_raw_write_unlock_bh" },
	{ 0x5cf58832, "sock_no_connect" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x480deb4e, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x40d25a64, "led_trigger_unregister_simple" },
	{ 0xebf77b80, "__wake_up" },
	{ 0x45a1ae5b, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xf72b0e97, "get_device" },
	{ 0xefeb37ff, "_raw_spin_lock_irqsave" },
	{ 0xa5012ba4, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0x50aa7efa, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc5dd5f6b, "put_cmsg" },
	{ 0xfaeb00dc, "skb_queue_purge_reason" },
	{ 0x2c6a6b83, "crypto_destroy_tfm" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x99cc4ce1, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xa434462a, "proto_unregister" },
	{ 0x17cfe349, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x65d8f95b, "sock_register" },
	{ 0x62cdf4a3, "datagram_poll" },
	{ 0x8a04dfb3, "__sock_recv_cmsgs" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xe6461e37, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xaacce367, "__alloc_skb" },
	{ 0x35f2f283, "idr_get_next" },
	{ 0x4b07b0e, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa7704d26, "skb_queue_tail" },
	{ 0x51a40a88, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9c300abc, "idr_remove" },
	{ 0x703aaf49, "__sock_recv_timestamp" },
	{ 0x7e4aff6a, "sock_no_shutdown" },
	{ 0x5f64679a, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd9bf90cc, "devm_kfree" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xa8061517, "init_net" },
	{ 0x5ea73a3d, "crypto_shash_setkey" },
	{ 0x741de7a, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x88a55280, "device_add" },
	{ 0x117cd626, "idr_alloc" },
	{ 0x57bbefe4, "init_uts_ns" },
	{ 0xb7dfeed9, "sk_free" },
	{ 0xb16c09e8, "device_move" },
	{ 0xfa7e1331, "kfree_skb_reason" },
	{ 0x7904223c, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x34fddd51, "_raw_write_lock" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x4fcfba30, "skb_push" },
	{ 0x738eea37, "sock_no_listen" },
	{ 0xedffe622, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x26c29075, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xcea42faa, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6ab1ca9b, "iov_iter_kvec" },
	{ 0x57eb8c89, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xee523b30, "class_unregister" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x556e5456, "lock_sock_nested" },
	{ 0xe062a451, "dev_coredumpv" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x67a18f3b, "skb_copy_datagram_iter" },
	{ 0xe0258811, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xbf61099f, "_raw_spin_unlock_irqrestore" },
	{ 0x6ff5e786, "sk_alloc" },
	{ 0x95b36ded, "device_del" },
	{ 0x27e1f3cc, "__sock_queue_rcv_skb" },
	{ 0xe5c10dd9, "idr_destroy" },
	{ 0xf77bd30, "__sock_recv_wifi_status" },
	{ 0xbf23a53, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc00ae810, "sock_no_socketpair" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0xb26343fa, "wait_for_completion" },
	{ 0x4e8fd2ca, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7a755fb9, "sock_no_mmap" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x843b92c3, "__pskb_pull_tail" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xe2bd63b7, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe6ed9340, "skb_unlink" },
	{ 0x2df50b0, "jiffies" },
	{ 0x2d5ca9e, "devm_kasprintf" },
	{ 0x94115531, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6465208a, "sock_i_ino" },
	{ 0x3a62d0d7, "debugfs_create_file" },
	{ 0x62ba450d, "devm_led_trigger_register" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x46fb1593, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc1ed2056, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xf26205e9, "skb_recv_datagram" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x8fb75c56, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69fc370, "remove_proc_entry" },
	{ 0x64447644, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb71fbab3, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2e573572, "skb_copy" },
	{ 0x1f9658f8, "skb_clone" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0x59f670b2, "_copy_from_iter" },
	{ 0xbc3cdc3b, "_raw_read_lock" },
	{ 0xa9be9be5, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x7b58bc0d, "remove_wait_queue" },
	{ 0x3195328, "seq_puts" },
	{ 0x5b24bf08, "sock_gettstamp" },
	{ 0x4ca6515, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7893a3d7, "kmalloc_trace" },
	{ 0x1fbac33f, "led_trigger_event" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xe10d1867, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x46a58f7a, "proc_create_seq_private" },
	{ 0xac06fdc2, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x9ca8fbca, "crypto_alloc_shash" },
	{ 0xf14cf633, "debugfs_create_dir" },
	{ 0xd8e7c729, "fwnode_property_read_u8_array" },
	{ 0x9514151a, "_mcount" },
	{ 0xfd1283e9, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x76a4882b, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb6929957, "__dev_fwnode" },
	{ 0xf4ee619b, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3d12a1d3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x59d3dc0a, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill,crc16");


MODULE_INFO(srcversion, "40FBE3E9F6879D1603A66D9");

MODULE_INFO(suserelease, "SLE15-SP6");
