#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_platform_assert_rsts, 0xefb597be, "_gpl");
SYMBOL_CRC(ahci_platform_deassert_rsts, 0x1d899711, "_gpl");
SYMBOL_CRC(ahci_platform_disable_clks, 0xe9f2bfe2, "_gpl");
SYMBOL_CRC(ahci_platform_disable_phys, 0xaf121e54, "_gpl");
SYMBOL_CRC(ahci_platform_disable_regulators, 0xc3ccaa7c, "_gpl");
SYMBOL_CRC(ahci_platform_disable_resources, 0xa5652de0, "_gpl");
SYMBOL_CRC(ahci_platform_enable_clks, 0x26ae04ae, "_gpl");
SYMBOL_CRC(ahci_platform_enable_phys, 0x604ea518, "_gpl");
SYMBOL_CRC(ahci_platform_enable_regulators, 0xc7693809, "_gpl");
SYMBOL_CRC(ahci_platform_enable_resources, 0xdbd14d66, "_gpl");
SYMBOL_CRC(ahci_platform_find_clk, 0x48ea6ba0, "_gpl");
SYMBOL_CRC(ahci_platform_get_resources, 0x8b9a4ed7, "_gpl");
SYMBOL_CRC(ahci_platform_init_host, 0xbe9dd55e, "_gpl");
SYMBOL_CRC(ahci_platform_ops, 0x7d18bbe9, "_gpl");
SYMBOL_CRC(ahci_platform_resume, 0x92a51226, "_gpl");
SYMBOL_CRC(ahci_platform_resume_host, 0x711950a6, "_gpl");
SYMBOL_CRC(ahci_platform_shutdown, 0x398c415c, "_gpl");
SYMBOL_CRC(ahci_platform_suspend, 0x9fbd3b7c, "_gpl");
SYMBOL_CRC(ahci_platform_suspend_host, 0x791bebfd, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0x5a647d68, "phy_set_mode_ext" },
	{ 0x318c73a1, "phy_power_on" },
	{ 0x37dc7a71, "phy_init" },
	{ 0xae8b636d, "phy_power_off" },
	{ 0xf3dd750, "phy_exit" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x37a0cba, "kfree" },
	{ 0x4da7c5f5, "__pm_runtime_idle" },
	{ 0xc2af6347, "__pm_runtime_disable" },
	{ 0x8b1d70ef, "ata_host_resume" },
	{ 0x2ebcd45d, "ahci_reset_controller" },
	{ 0x94cc912e, "ahci_init_controller" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x5d2bc42a, "reset_control_rearm" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x202cc63c, "devm_of_phy_get" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0xeb7b50ea, "of_find_property" },
	{ 0xc24fceac, "__pm_runtime_set_status" },
	{ 0x9ead0f72, "pm_runtime_enable" },
	{ 0xea50dad3, "ahci_ignore_sss" },
	{ 0x9699ef63, "ata_dummy_port_ops" },
	{ 0x6dcda280, "platform_get_irq" },
	{ 0x73323d76, "ahci_save_initial_config" },
	{ 0xa96b4e32, "ahci_set_em_messages" },
	{ 0xb1d02ff9, "ata_host_alloc_pinfo" },
	{ 0xa5872ab5, "platform_get_resource" },
	{ 0x757ed62e, "ata_port_desc" },
	{ 0x74f024c7, "_dev_info" },
	{ 0xfa2fd725, "ahci_print_info" },
	{ 0x9ee0f8de, "ahci_host_activate" },
	{ 0xe4453786, "dma_set_mask" },
	{ 0x75bdf75a, "ahci_reset_em" },
	{ 0x6c3150a0, "dma_set_coherent_mask" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x39a4de46, "devres_open_group" },
	{ 0xd829898d, "__devres_alloc_node" },
	{ 0x7589597f, "devres_add" },
	{ 0x53a265ac, "platform_get_resource_byname" },
	{ 0x5017c5d2, "devm_platform_ioremap_resource_byname" },
	{ 0x455ebcf7, "devm_clk_bulk_get_all" },
	{ 0xb0264860, "devm_reset_control_array_get" },
	{ 0xd41e48a4, "of_get_next_child" },
	{ 0xba9c7b16, "devres_release_group" },
	{ 0xcd4c9c3c, "devm_kmalloc" },
	{ 0x5a2dc2a1, "devm_clk_get_optional" },
	{ 0xe6403654, "devm_platform_ioremap_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe14d4f1f, "of_device_is_available" },
	{ 0x17c53940, "of_property_read_variable_u32_array" },
	{ 0x2a8729fe, "of_platform_device_create" },
	{ 0x318d70f, "of_find_device_by_node" },
	{ 0xe7769ccd, "__pm_runtime_resume" },
	{ 0xfd9ed566, "devres_remove_group" },
	{ 0x83db94b6, "of_node_put" },
	{ 0x1d770b63, "_dev_warn" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x5fc8a18b, "ata_host_suspend" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xeffffe43, "ahci_ops" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "libata,libahci");


MODULE_INFO(srcversion, "5BF15F90DA51A7755BC60C0");

MODULE_INFO(suserelease, "SLE15-SP6");
