#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7921_queue_rx_skb, 0x9fde7ad8, "_gpl");
SYMBOL_CRC(mt7921_rx_check, 0xfe7f1f3f, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0xe71daf32, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x052555eb, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x80918023, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0xf9952538, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x5f52485c, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0xc82b0210, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xce5fd8f6, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x314c66ee, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x7bc31f99, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x09fae24c, "_gpl");
SYMBOL_CRC(mt7921_ops, 0xfb69d32f, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x86321982, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0xfa6f880a, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0x391270cb, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xc24e32de, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25af3295, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xdfdc0ec5, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xc0ca7c8, "ieee80211_sta_register_airtime" },
	{ 0xcc810498, "mt792x_init_wcid" },
	{ 0xb34ed729, "mt76_init_sar_power" },
	{ 0x2e0bcc66, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xeb97f158, "simple_attr_open" },
	{ 0x480ad782, "ieee80211_iterate_interfaces" },
	{ 0x73432465, "mt792x_stop" },
	{ 0xab97bc3c, "debugfs_attr_write" },
	{ 0x8839388b, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xc05e3105, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x7bc23e17, "skb_put" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x14f5fe40, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd687d60a, "mt76_find_channel_node" },
	{ 0x31a4dadb, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x439d8880, "mt792x_tx_worker" },
	{ 0x8bb29eee, "mt792x_flush" },
	{ 0xdef751b1, "mt792x_rx_get_wcid" },
	{ 0xf390197c, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x342ee3a1, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x2d5d474f, "finish_wait" },
	{ 0xda33ad7, "mt76_connac_mcu_set_channel_domain" },
	{ 0x1cc6801b, "mt76_connac_mcu_uni_add_dev" },
	{ 0x392be456, "mt76_release_buffered_frames" },
	{ 0x360083e1, "request_firmware" },
	{ 0x61cb3406, "mt76_get_txpower" },
	{ 0xe1b98913, "mt76_tx_status_skb_add" },
	{ 0xef0a8d89, "mt76_connac_pm_wake" },
	{ 0x9518ee88, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0xae860faa, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x61a8d1a8, "mt76_wake_tx_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe56bc1b3, "mt76_connac_mcu_chip_config" },
	{ 0xe0ad3b5a, "mt76_get_antenna" },
	{ 0xfc3716c0, "mt792x_set_coverage_class" },
	{ 0x4e2b8a93, "_raw_read_unlock_bh" },
	{ 0x50c81093, "__mt76_tx_complete_skb" },
	{ 0xd16f24e9, "_raw_read_lock_bh" },
	{ 0x1b717272, "seq_lseek" },
	{ 0x62f0bbbc, "mt76_set_stream_caps" },
	{ 0x54fd35c0, "mt792x_mac_assoc_rssi" },
	{ 0xaef82501, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x85c3b8d8, "ieee80211_get_hdrlen_from_skb" },
	{ 0xebf77b80, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x633867b7, "mt76_connac_mcu_update_arp_filter" },
	{ 0x943a3f5e, "mt76_connac2_tx_check_aggr" },
	{ 0x83dcb2f7, "__dynamic_dev_dbg" },
	{ 0x1f1955e3, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x41813d53, "__traceiter_lp_event" },
	{ 0x6860003e, "pskb_expand_head" },
	{ 0xd7969f3b, "mt76_wcid_init" },
	{ 0xacf6d61f, "wake_up_process" },
	{ 0x9ff11c11, "mt76_connac_free_pending_tx_skbs" },
	{ 0x9dec8aa, "mt792x_sta_statistics" },
	{ 0xfaeb00dc, "skb_queue_purge_reason" },
	{ 0x835482ba, "mt76_connac_power_save_sched" },
	{ 0x64609375, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xa4c44d1e, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb3ac7559, "_raw_spin_unlock_bh" },
	{ 0xed6d5cfb, "mt792x_get_et_sset_count" },
	{ 0x960f56ae, "mt76_connac_mcu_set_mac_enable" },
	{ 0x8d109757, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xd4f5465d, "mt792x_set_wakeup" },
	{ 0x109ad57c, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x74f024c7, "_dev_info" },
	{ 0xa7704d26, "skb_queue_tail" },
	{ 0x545c37c9, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7fe8bf64, "mt76_rx" },
	{ 0x1091e9de, "mt792x_load_firmware" },
	{ 0x984fb917, "mt76_connac_mcu_sched_scan_req" },
	{ 0x4b7bd28f, "mt792x_get_et_stats" },
	{ 0xbc913fff, "mt76_connac2_txwi_free" },
	{ 0x6c8b0b6f, "__tracepoint_lp_event" },
	{ 0xed0e3d1d, "mt76_connac_mcu_uni_add_bss" },
	{ 0x5059415f, "mt76_connac2_mac_add_txs_skb" },
	{ 0x9c300abc, "idr_remove" },
	{ 0x7ee0777c, "wiphy_to_ieee80211_hw" },
	{ 0xb30cc80e, "of_get_child_by_name" },
	{ 0x9ad3d83f, "debugfs_attr_read" },
	{ 0x3d169a2b, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdf20b6a1, "ieee80211_queue_delayed_work" },
	{ 0xe91b8df9, "devm_kmemdup" },
	{ 0x9c07f2fc, "_dev_err" },
	{ 0x741de7a, "skb_pull" },
	{ 0x2be9e8ba, "mt76_register_device" },
	{ 0xfc6b5bf0, "mt792x_get_stats" },
	{ 0x18e896e0, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x1bc46f, "simple_attr_release" },
	{ 0x6656b874, "mt792x_mac_set_timeing" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x88ad2a53, "mt76_find_power_limits_node" },
	{ 0xdff4fe06, "ieee80211_remain_on_channel_expired" },
	{ 0xf73681e0, "mutex_lock" },
	{ 0x4fcfba30, "skb_push" },
	{ 0x1e390966, "mt76_set_channel" },
	{ 0xf43e0979, "ieee80211_wake_queues" },
	{ 0x21cf8461, "mt76_mcu_send_and_get_msg" },
	{ 0x35647c77, "ieee80211_beacon_get_template" },
	{ 0x25261261, "mt792x_pm_stats" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0xb2c0a513, "mt76_eeprom_override" },
	{ 0xe062a451, "dev_coredumpv" },
	{ 0x3fc7048, "__mutex_init" },
	{ 0x6eb5a656, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9f5f6144, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xe0af9c2c, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0xaa6eb5dd, "mt76_token_release" },
	{ 0xfec67538, "mt792x_get_tsf" },
	{ 0x2172e91e, "__init_waitqueue_head" },
	{ 0x843b92c3, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x99d0109f, "mt792x_tx" },
	{ 0xa9495dd4, "mt792x_get_et_strings" },
	{ 0x85f571cd, "mt76_sta_state" },
	{ 0x47591104, "ieee80211_ready_on_channel" },
	{ 0x3f5d91fa, "ieee80211_stop_queues" },
	{ 0x2df50b0, "jiffies" },
	{ 0x2d5ca9e, "devm_kasprintf" },
	{ 0x851d4609, "cfg80211_reg_can_beacon" },
	{ 0x8f468b14, "mt792x_remove_interface" },
	{ 0x94115531, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x9c40be69, "mt792x_queues_read" },
	{ 0xc3b6333e, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x3a62d0d7, "debugfs_create_file" },
	{ 0x362d9a5b, "mt792x_queues_acq" },
	{ 0xd8619fd9, "ieee80211_sched_scan_results" },
	{ 0xc812b5a4, "ieee80211_scan_completed" },
	{ 0x8e35b58d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x31ed73f, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x135f5785, "mt76_insert_ccmp_hdr" },
	{ 0xe8e749b5, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc1ed2056, "param_ops_bool" },
	{ 0x43256e4e, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xf2a98ad9, "mt792x_tx_stats_show" },
	{ 0x52e904fd, "mt76_rx_aggr_start" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb71fbab3, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xe88a8750, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x51e3dbe2, "_raw_spin_lock_bh" },
	{ 0xad4b39ab, "mt792x_mac_init_band" },
	{ 0xcdb74c08, "mt76_skb_adjust_pad" },
	{ 0xaa59e20c, "mt792x_init_wiphy" },
	{ 0x3195328, "seq_puts" },
	{ 0xa5e7ad83, "mt76_connac_sta_state_dp" },
	{ 0xaf2de68b, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x4ca6515, "single_release" },
	{ 0xcdb83719, "mt76_queues_read" },
	{ 0x95aa0288, "mt76_sta_pre_rcu_remove" },
	{ 0xa2690556, "mt76_register_debugfs_fops" },
	{ 0xb2c865fa, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x9edb06ec, "mt76_connac2_mac_write_txwi" },
	{ 0x93f99284, "__mt76_set_tx_blocked" },
	{ 0x49fc26cb, "mt76_connac_mcu_sta_ba" },
	{ 0x4d45ad61, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x23a9e7f0, "ieee80211_queue_work" },
	{ 0x5ac22ea0, "mt792x_mac_reset_counters" },
	{ 0xb0d728b1, "napi_consume_skb" },
	{ 0xc939371c, "__mt76_poll" },
	{ 0x6c572c63, "mt76_rx_aggr_stop" },
	{ 0xac06fdc2, "single_open" },
	{ 0x12005b03, "mt76_connac_mcu_add_key" },
	{ 0x25a03f15, "mt792x_unassign_vif_chanctx" },
	{ 0x9514151a, "_mcount" },
	{ 0x811f07d, "ieee80211_disconnect" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0x913bd0da, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdd918ba4, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt792x-lib,mt76,cfg80211");


MODULE_INFO(srcversion, "A8E069383CBF54B7B05CEB2");

MODULE_INFO(suserelease, "SLE15-SP6");
